[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TDataSetEnumerator.Create

Create a new instance of the dataset enumerator

## Declaration

Source position: db.pas line 1778

`public constructor TDataSetEnumerator.Create(`
`ADataSet: TDataSet`
`);`

## Arguments

`ADataSet` |  | Dataset to enumerate

## Description

Create saves the dataset for later use, and puts the dataset on the firs record.

## Errors

None.

## See also

TDataset |  | Base class for records-based data-access
TDataset.First |  | Position the dataset on the first record.
TFieldsEnumerator |  | Default enumerator for the fields collection of a dataset.